org.apache.calcite.avatica

## Class AvaticaClientRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.calcite.avatica.AvaticaClientRuntimeException

All Implemented Interfaces:
  Serializable

    public class AvaticaClientRuntimeException
    extends RuntimeException

The client-side representation of `AvaticaRuntimeException`. This exception is not intended for consumption by clients, `AvaticaSqlException` serves that purpose. This exception only exists to pass the original error attributes to a higher level of execution without modifying existing exception-handling logic.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AvaticaClientRuntimeException(String errorMessage, int errorCode, String sqlState, AvaticaSeverity severity, List<String> serverExceptions, Service.RpcMetadataResponse metadata)`
`AvaticaClientRuntimeException(String message, Throwable cause)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getErrorCode()`
`Service.RpcMetadataResponse` `getRpcMetadata()`
`List<String>` `getServerExceptions()`
`AvaticaSeverity` `getSeverity()`
`String` `getSqlState()`
`String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AvaticaClientRuntimeException

    public AvaticaClientRuntimeException(String errorMessage,
                                         int errorCode,
                                         String sqlState,
                                         AvaticaSeverity severity,
                                         List<String> serverExceptions,
                                         Service.RpcMetadataResponse metadata)

#### AvaticaClientRuntimeException

    public AvaticaClientRuntimeException(String message,
                                         Throwable cause)

### Method Detail

#### getErrorCode

    public int getErrorCode()

#### getSqlState

    public String getSqlState()

#### getSeverity

    public AvaticaSeverity getSeverity()

#### getServerExceptions

    public List<String> getServerExceptions()

#### getRpcMetadata

    public Service.RpcMetadataResponse getRpcMetadata()

#### toString

    public String toString()

Overrides:
  `toString` in class `Throwable`